# coding=utf-8

import random
import os
from PIL import Image
import json
from http.server import BaseHTTPRequestHandler

def bmyy11api(files_path,count):
    global webjson
    pyjson = {}
    if os.path.exists(files_path + count + '.webp'):
        photo_abspath = os.path.join(files_path, count)+'.webp'
    elif os.path.exists(files_path + count + '.png'):
        photo_abspath = os.path.join(files_path, count)+'.png'
    elif os.path.exists(files_path + count + '.jpg'):
        photo_abspath = os.path.join(files_path, count)+'.jpg'
    elif os.path.exists(files_path + count + '.jpeg'):
        photo_abspath = os.path.join(files_path, count)+'.jpeg'
    elif os.path.exists(files_path + count + '.gif'):
        photo_abspath = os.path.join(files_path, count)+'.gif'
    img = Image.open(photo_abspath)
    weight = img.size[0]
    high = img.size[1]
    pyjson["url"] = 'https://api.v1.bmyy11.top/'+photo_abspath
    pyjson["weight"] = weight
    pyjson["high"] = high
    webjson = json.dumps(pyjson)
    return webjson

def bmyycount():
    global count
    count = str(random.randint(1,214))
    
class handler(BaseHTTPRequestHandler):
    def do_GET(self):
        data = bmyy11api(img,count)
        self.send_response(200)
        self.send_header('Access-Control-Allow-Origin', '*')
        self.send_header('Cache-Control', 'no-cache')
        self.send_header('Content-type', 'application/json')
        self.end_headers()
        self.wfile.write(webjson.encode('utf-8'))
        return

if __name__ == "__main__":
    img = "tou/"    #存储图片的文件夹
    bmyycount()
    print(bmyy11api(img,count))
